<?php

$fashion_designer_studio_custom_style= "";

/*---------------------------Scroll-top-position -------------------*/
$fashion_designer_studio_scroll_options = get_theme_mod( 'fashion_designer_studio_scroll_options','right_align');

if($fashion_designer_studio_scroll_options == 'right_align'){

$fashion_designer_studio_custom_style .='.scrollup{';

	$fashion_designer_studio_custom_style .='';

$fashion_designer_studio_custom_style .='}';

}else if($fashion_designer_studio_scroll_options == 'center_align'){

$fashion_designer_studio_custom_style .='.scrollup{';

	$fashion_designer_studio_custom_style .='right: 0; left:0; margin: 0 auto; top:85% !important';

$fashion_designer_studio_custom_style .='}';

}else if($fashion_designer_studio_scroll_options == 'left_align'){

$fashion_designer_studio_custom_style .='.scrollup{';

	$fashion_designer_studio_custom_style .='right: auto; left:5%; margin: 0 auto';

$fashion_designer_studio_custom_style .='}';
}

// sticky-header

	if (false === get_option('fashion_designer_studio_sticky_header')) {
	    add_option('fashion_designer_studio_sticky_header', 'off');
	}

	// Define the custom CSS based on the 'fashion_designer_studio_sticky_header' option

	if (get_option('fashion_designer_studio_sticky_header', 'off') !== 'on') {
	    $fashion_designer_studio_custom_style .= '.menu_header.fixed {';
	    $fashion_designer_studio_custom_style .= 'position: static;';
	    $fashion_designer_studio_custom_style .= '}';
	}

	if (get_option('fashion_designer_studio_sticky_header', 'off') !== 'off') {
	    $fashion_designer_studio_custom_style .= '.menu_header.fixed {';
	    $fashion_designer_studio_custom_style .= 'position: fixed; background: #fff; box-shadow: 0px 3px 10px 2px #eee;';
	    $fashion_designer_studio_custom_style .= '}';

	    $fashion_designer_studio_custom_style .= '.admin-bar .fixed {';
	    $fashion_designer_studio_custom_style .= ' margin-top: 32px;';
	    $fashion_designer_studio_custom_style .= '}';
	}

/*---------------------------text-transform-------------------*/

$fashion_designer_studio_text_transform = get_theme_mod( 'fashion_designer_studio_menu_text_transform','CAPITALISE');

if($fashion_designer_studio_text_transform == 'CAPITALISE'){

$fashion_designer_studio_custom_style .='nav#top_gb_menu ul li a{';

	$fashion_designer_studio_custom_style .='text-transform: capitalize ; font-size: 14px;';

$fashion_designer_studio_custom_style .='}';

}else if($fashion_designer_studio_text_transform == 'UPPERCASE'){

$fashion_designer_studio_custom_style .='nav#top_gb_menu ul li a{';

	$fashion_designer_studio_custom_style .='text-transform: uppercase ; font-size: 14px;';

$fashion_designer_studio_custom_style .='}';

}else if($fashion_designer_studio_text_transform == 'LOWERCASE'){

$fashion_designer_studio_custom_style .='nav#top_gb_menu ul li a{';

	$fashion_designer_studio_custom_style .='text-transform: lowercase ; font-size: 14px;';

$fashion_designer_studio_custom_style .='}';
}

/*-------------------------Slider-content-alignment-------------------*/

$fashion_designer_studio_slider_content_alignment = get_theme_mod( 'fashion_designer_studio_slider_content_alignment','LEFT-ALIGN');

if($fashion_designer_studio_slider_content_alignment == 'LEFT-ALIGN'){

$fashion_designer_studio_custom_style .='.slider-inner{';

	$fashion_designer_studio_custom_style .='text-align:left; right: 30%; left: 15%;';

$fashion_designer_studio_custom_style .='}';


}else if($fashion_designer_studio_slider_content_alignment == 'CENTER-ALIGN'){

$fashion_designer_studio_custom_style .='.slider-inner{';

	$fashion_designer_studio_custom_style .='text-align:center; right: 15%; left: 15%;';

$fashion_designer_studio_custom_style .='}';


}else if($fashion_designer_studio_slider_content_alignment == 'RIGHT-ALIGN'){

$fashion_designer_studio_custom_style .='.slider-inner{';

	$fashion_designer_studio_custom_style .='text-align:right; right: 15%; left: 30%;';

$fashion_designer_studio_custom_style .='}';

}

//--------------------Logo max-width----------------------------

$fashion_designer_studio_logo_max_height = get_theme_mod('fashion_designer_studio_logo_max_height','100');

if($fashion_designer_studio_logo_max_height != false){

$fashion_designer_studio_custom_style .='.custom-logo-link img{';

	$fashion_designer_studio_custom_style .='max-height: '.esc_html($fashion_designer_studio_logo_max_height).'px;';

$fashion_designer_studio_custom_style .='}';
}

//related products
if( get_option( 'fashion_designer_studio_related_product',true) != 'on') {

$fashion_designer_studio_custom_style .='.related.products{';

	$fashion_designer_studio_custom_style .='display: none;';
	
$fashion_designer_studio_custom_style .='}';
}

if( get_option( 'fashion_designer_studio_related_product',true) != 'off') {

$fashion_designer_studio_custom_style .='.related.products{';

	$fashion_designer_studio_custom_style .='display: block;';
	
$fashion_designer_studio_custom_style .='}';
}

// footer text alignment
$fashion_designer_studio_footer_content_alignment = get_theme_mod( 'fashion_designer_studio_footer_content_alignment','CENTER-ALIGN');

if($fashion_designer_studio_footer_content_alignment == 'LEFT-ALIGN'){

$fashion_designer_studio_custom_style .='.site-info{';

	$fashion_designer_studio_custom_style .='text-align:left; padding-left: 30px;';

$fashion_designer_studio_custom_style .='}';

$fashion_designer_studio_custom_style .='.site-info a{';

	$fashion_designer_studio_custom_style .='padding-left: 30px;';

$fashion_designer_studio_custom_style .='}';


}else if($fashion_designer_studio_footer_content_alignment == 'CENTER-ALIGN'){

$fashion_designer_studio_custom_style .='.site-info{';

	$fashion_designer_studio_custom_style .='text-align:center;';

$fashion_designer_studio_custom_style .='}';


}else if($fashion_designer_studio_footer_content_alignment == 'RIGHT-ALIGN'){

$fashion_designer_studio_custom_style .='.site-info{';

	$fashion_designer_studio_custom_style .='text-align:right; padding-right: 30px;';

$fashion_designer_studio_custom_style .='}';

$fashion_designer_studio_custom_style .='.site-info a{';

	$fashion_designer_studio_custom_style .='padding-right: 30px;';

$fashion_designer_studio_custom_style .='}';

}

// slider button
$mobile_button_setting = get_option('fashion_designer_studio_slider_button_mobile_show_hide', '1');
$main_button_setting = get_option('fashion_designer_studio_slider_button_show_hide', '1');

$fashion_designer_studio_custom_style .= '#slider .home-btn {';

if ($main_button_setting == 'off') {
    $fashion_designer_studio_custom_style .= 'display: none;';
}

$fashion_designer_studio_custom_style .= '}';

// Add media query for mobile devices
$fashion_designer_studio_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_button_setting == 'off' || $mobile_button_setting == 'off') {
    $fashion_designer_studio_custom_style .= '#slider .home-btn { display: none; }';
}
$fashion_designer_studio_custom_style .= '}';


// scroll button
$mobile_scroll_setting = get_option('fashion_designer_studio_scroll_enable_mobile', '1');
$main_scroll_setting = get_option('fashion_designer_studio_scroll_enable', '1');

$fashion_designer_studio_custom_style .= '.scrollup {';

if ($main_scroll_setting == 'off') {
    $fashion_designer_studio_custom_style .= 'display: none;';
}

$fashion_designer_studio_custom_style .= '}';

// Add media query for mobile devices
$fashion_designer_studio_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_scroll_setting == 'off' || $mobile_scroll_setting == 'off') {
    $fashion_designer_studio_custom_style .= '.scrollup { display: none; }';
}
$fashion_designer_studio_custom_style .= '}';

// theme breadcrumb
$mobile_breadcrumb_setting = get_option('fashion_designer_studio_enable_breadcrumb_mobile', '1');
$main_breadcrumb_setting = get_option('fashion_designer_studio_enable_breadcrumb', '1');

$fashion_designer_studio_custom_style .= '.archieve_breadcrumb {';

if ($main_breadcrumb_setting == 'off') {
    $fashion_designer_studio_custom_style .= 'display: none;';
}

$fashion_designer_studio_custom_style .= '}';

// Add media query for mobile devices
$fashion_designer_studio_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_breadcrumb_setting == 'off' || $mobile_breadcrumb_setting == 'off') {
    $fashion_designer_studio_custom_style .= '.archieve_breadcrumb { display: none; }';
}
$fashion_designer_studio_custom_style .= '}';

// single post and page breadcrumb
$mobile_single_breadcrumb_setting = get_option('fashion_designer_studio_single_enable_breadcrumb_mobile', '1');
$main_single_breadcrumb_setting = get_option('fashion_designer_studio_single_enable_breadcrumb', '1');

$fashion_designer_studio_custom_style .= '.single_breadcrumb {';

if ($main_single_breadcrumb_setting == 'off') {
    $fashion_designer_studio_custom_style .= 'display: none;';
}

$fashion_designer_studio_custom_style .= '}';

// Add media query for mobile devices
$fashion_designer_studio_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_single_breadcrumb_setting == 'off' || $mobile_single_breadcrumb_setting == 'off') {
    $fashion_designer_studio_custom_style .= '.single_breadcrumb { display: none; }';
}
$fashion_designer_studio_custom_style .= '}';

// woocommerce breadcrumb
$mobile_woo_breadcrumb_setting = get_option('fashion_designer_studio_woocommerce_enable_breadcrumb_mobile', '1');
$main_woo_breadcrumb_setting = get_option('fashion_designer_studio_woocommerce_enable_breadcrumb', '1');

$fashion_designer_studio_custom_style .= '.woocommerce-breadcrumb {';

if ($main_woo_breadcrumb_setting == 'off') {
    $fashion_designer_studio_custom_style .= 'display: none;';
}

$fashion_designer_studio_custom_style .= '}';

// Add media query for mobile devices
$fashion_designer_studio_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_woo_breadcrumb_setting == 'off' || $mobile_woo_breadcrumb_setting == 'off') {
    $fashion_designer_studio_custom_style .= '.woocommerce-breadcrumb { display: none; }';
}
$fashion_designer_studio_custom_style .= '}';